(* COMPILE-CMD: intl.cmp *)

program GetTextTest;

uses GPC, Intl;

var
  s: TString;

begin
  s := SetLocale (LC_MESSAGES, 'de_DE');
  s := BindTextDomain ('mutt', '/usr/share/locale');
  s := TextDomain ('mutt');
  s := GetText ('Exit');
  if (s = 'Exit') or (s = 'Verlassen') then WriteLn ('OK') else WriteLn ('failed ', s)
end.
